Bug 110029 - [GEN8+] 1-2% perf drop in SynMark2 OglPSPom
Summary: [GEN8+] 1-2% perf drop in SynMark2 OglPSPom
Status: RESOLVED MOVED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: Intel 3D Bugs Mailing List
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-13 11:59 UTC by Eero Tamminen
Modified: 2019-09-25 20:32 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eero Tamminen 2019-03-13 11:59:04 UTC
Setup:
* Ubuntu 18.04 with Unity/compiz
* v4.19+ drm-tip kernel & git version of Xserver
* Mesa git version
* BSW/BDW/BXT/SKL/KBL/CFL HW
* FullHD monitor

Test-case:
* SynMark2 v7 OglPSPom test in FullHD fullscreen

Performance of that has dropped by 1-2% on all GEN8+ platforms between following Mesa commits:
* 2019-02-01 17:34:02 ab940b0d97: spirv: Support LocalSizeId and LocalSizeHintId execution modes
* 2019-02-02 14:42:14 0aa5a97b03: relnotes: Add VK_EXT_buffer_device_address

There was no perf drop on SNB/HSW, or in other benchmarks I'm running.

Wontfixing this is fine, but I think somebody should bisect it first.
Comment 1 Eero Tamminen 2019-06-07 11:12:18 UTC
Between following commits:
* 2019-03-13 17:54:16 97ad0efba0: iris: Use streaming loads to read from tiled surfaces
* 2019-03-14 17:22:20 162286eb75: anv: Only set 3DSTATE_PS::VectorMaskEnable on gen8+

PSPom improved on BXT platforms about same amount it had regressed earlier, but there was no impact on other platforms.
Comment 2 GitLab Migration User 2019-09-25 20:32:33 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/mesa/mesa/issues/1799.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.